#include <iostream>

using namespace std;

int main()
{
    int x, y;
    cin>>x;
    cin>>y;

    int yy, xx;
    int sz=1;
    int z=0;
    while(x>0 || y>0)
    {
        yy=y%10;
        xx=x%10;
        if(xx>yy)
            z+=xx*sz;
        else if (yy>xx)
            z+=yy*sz;
        else
        {
            if(x>0 && y>0)
            {
                z+=xx*sz;
                sz*=10;
                z+=yy*sz;
            }
            else if (y>0)
            {
                z+=yy*sz;
            }
            else
            {
                z+=xx*sz;
            }
        }
        sz*=10;
        x=(x-xx)/10;
        y=(y-yy)/10;
    }
    cout<<z;

    return 0;
}